/*
 * This file is part of Rahmenwerk.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *
 * Copyright (c) 2008 Dambach Werke GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * Dambach Werke GmbH - initial API and implementation
 *
 *
 *
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */
package de.bsvrz.buv.rw.basislib;

/**
 * Klasse fr das Abfragen der DarstellungsArt der Menpunkte bei nicht
 * vorhandener Oberflchenberechtigung durch die Plugin's.<br>
 * Diese Klasse ist Thread-Safe. <br>
 * Realisierung der Technischen Anforderungen BuV bzgl. der
 * Oberflchen-Berechtigungen (TBuV-105).<br>
 * 
 * @version $Revision: 1.1 $ / $Date: 2009/12/02 09:19:34 $ / ($Author: HofmannJ
 *          $)
 * 
 * @author Dambach-Werke GmbH
 * @author Thomas Drapp
 * @deprecated wird nicht verwendet und erfllt die TBuV-105 nur bedingt, da die
 *             Darstellungsart pro Meneintrag konfigurierbar sein sollte.
 */
@Deprecated
public final class DarstellungMenueEintraege {
	/**
	 * Aufzhlungstyp fr die DarstellungsArt der Menpunkte ohne Berechtigung.<br>
	 */
	public enum DarstellungsArt {
		/**
		 * Menpunkte ohne Berechtigung mssen ausgegraut (disabled) dargestellt
		 * werden.
		 */
		AUSGEGRAUT,
		/**
		 * Menpunkte ohne Berechtigung mssen weggelassen (nicht dargestellt)
		 * werden.
		 */
		WEGLASSEN
	}

	/**
	 * Speicher fr die einzige Instanz der Klasse.
	 */
	private static DarstellungMenueEintraege instance = new DarstellungMenueEintraege();

	/**
	 * Default-Konstruktor, der nicht auerhalb dieser Klasse aufgerufen werden
	 * kann.<br>
	 */
	private DarstellungMenueEintraege() {
	}

	/**
	 * Statische Methode, liefert die einzige Instanz dieser Klasse zurck.<br>
	 * ber diese Instanz erfolgt der Zugriff auf die Methoden.<br>
	 * 
	 * @return Instanz der Klasse.
	 */
	public static DarstellungMenueEintraege getInstance() {
		return DarstellungMenueEintraege.instance;
	}

	/**
	 * Holen der DarstellungsArt fr Menpunkte ohne Berechtigung.<br>
	 * <br>
	 * Realisierung der Technischen Anforderungen BuV TBuV-105.<br>
	 * 
	 * @return DarstellungsArt.
	 */
	public DarstellungsArt getDarstellungsArt() {
		return DarstellungsArt.WEGLASSEN;
	}
}
