/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.  
 */

package de.bsvrz.buv.rw.basislib.urlasser;

/**
 * Exception die geworfen wird, wenn Fehler beim Versand von Informationen ber
 * eine Urlasserverbingun aufgetreten sind.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: UrlasserVerbindungException.java 46673 2013-10-16 14:24:41Z peuker $
 */
public class UrlasserVerbindungException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	/**
	 * Konstruktor, erstellt eine INstanz der Exception mit den angegebenen
	 * Meldungstext.
	 * 
	 * @param message
	 *            die Meldung
	 */
	public UrlasserVerbindungException(final String message) {
		super(message);
	}

	/**
	 * Konstruktor, erstellt eine Instanz der Exception mit den angegebenen
	 * Meldungstext und der bergebenen Fehlerursache.
	 * 
	 * @param message
	 *            die Meldung
	 * @param cause
	 *            die Ursache
	 */
	public UrlasserVerbindungException(final String message,
			final Throwable cause) {
		super(message, cause);
	}
}
