/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.  
 */

package de.bsvrz.buv.rw.basislib.util;

import org.eclipse.swt.graphics.RGB;

import de.bsvrz.sys.funclib.debug.Debug;

/**
 * Farbkonstanten gam SVG/CSS.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: RwColor.java 45393 2013-08-07 21:32:57Z peuker $
 */
public enum RwColor {
	/**
	 * Farbe: aliceblue <span
	 * style="border:1px solid black;width:80px;background-color:aliceblue;"
	 * ></span>.
	 */
	aliceblue(new RGB(0xf0, 0xf8, 0xff)),

	/**
	 * Farbe: antiquewhite <span style=
	 * "border:1px solid black;width:80px;background-color:antiquewhite;"
	 * ></span>.
	 */
	antiquewhite(new RGB(0xfa, 0xeb, 0xd7)),

	/**
	 * Farbe: aqua <span
	 * style="border:1px solid black;width:80px;background-color:aqua;"
	 * ></span>.
	 */
	aqua(new RGB(0x00, 0xff, 0xff)),

	/**
	 * Farbe: aquamarine <span
	 * style="border:1px solid black;width:80px;background-color:aquamarine;"
	 * ></span>.
	 */
	aquamarine(new RGB(0x7f, 0xff, 0xd4)),

	/**
	 * Farbe: azure <span
	 * style="border:1px solid black;width:80px;background-color:azure;"
	 * ></span>.
	 */
	azure(new RGB(0xf0, 0xff, 0xff)),

	/**
	 * Farbe: beige <span
	 * style="border:1px solid black;width:80px;background-color:beige;"
	 * ></span>.
	 */
	beige(new RGB(0xf5, 0xf5, 0xdc)),

	/**
	 * Farbe: bisque <span
	 * style="border:1px solid black;width:80px;background-color:bisque;"
	 * ></span>.
	 */
	bisque(new RGB(0xff, 0xe4, 0xc4)),

	/**
	 * Farbe: black <span
	 * style="border:1px solid black;width:80px;background-color:black;"
	 * ></span>.
	 */
	black(new RGB(0x00, 0x00, 0x00)),

	/**
	 * Farbe: blanchedalmond <span style=
	 * "border:1px solid black;width:80px;background-color:blanchedalmond;"
	 * ></span>.
	 */
	blanchedalmond(new RGB(0xff, 0xeb, 0xcd)),

	/**
	 * Farbe: blue <span
	 * style="border:1px solid black;width:80px;background-color:blue;"
	 * ></span>.
	 */
	blue(new RGB(0x00, 0x00, 0xff)),

	/**
	 * Farbe: blueviolet <span
	 * style="border:1px solid black;width:80px;background-color:blueviolet;"
	 * ></span>.
	 */
	blueviolet(new RGB(0x8a, 0x2b, 0xe2)),

	/**
	 * Farbe: brown <span
	 * style="border:1px solid black;width:80px;background-color:brown;"
	 * ></span>.
	 */
	brown(new RGB(0xa5, 0x2a, 0x2a)),

	/**
	 * Farbe: burlywood <span
	 * style="border:1px solid black;width:80px;background-color:burlywood;"
	 * ></span>.
	 */
	burlywood(new RGB(0xde, 0xb8, 0x87)),

	/**
	 * Farbe: cadetblue <span
	 * style="border:1px solid black;width:80px;background-color:cadetblue;"
	 * ></span>.
	 */
	cadetblue(new RGB(0x5f, 0x9e, 0xa0)),

	/**
	 * Farbe: chartreuse <span
	 * style="border:1px solid black;width:80px;background-color:chartreuse;"
	 * ></span>.
	 */
	chartreuse(new RGB(0x7f, 0xff, 0x00)),

	/**
	 * Farbe: chocolate <span
	 * style="border:1px solid black;width:80px;background-color:chocolate;"
	 * ></span>.
	 */
	chocolate(new RGB(0xd2, 0x69, 0x1e)),

	/**
	 * Farbe: coral <span
	 * style="border:1px solid black;width:80px;background-color:coral;"
	 * ></span>.
	 */
	coral(new RGB(0xff, 0x7f, 0x50)),

	/**
	 * Farbe: cornflowerblue <span style=
	 * "border:1px solid black;width:80px;background-color:cornflowerblue;"
	 * ></span>.
	 */
	cornflowerblue(new RGB(0x64, 0x95, 0xed)),

	/**
	 * Farbe: cornsilk <span
	 * style="border:1px solid black;width:80px;background-color:cornsilk;"
	 * ></span>.
	 */
	cornsilk(new RGB(0xff, 0xf8, 0xdc)),

	/**
	 * Farbe: crimson <span
	 * style="border:1px solid black;width:80px;background-color:crimson;"
	 * ></span>.
	 */
	crimson(new RGB(0xdc, 0x14, 0x3c)),

	/**
	 * Farbe: cyan <span
	 * style="border:1px solid black;width:80px;background-color:cyan;"
	 * ></span>.
	 */
	cyan(new RGB(0x00, 0xff, 0xff)),

	/**
	 * Farbe: darkblue <span
	 * style="border:1px solid black;width:80px;background-color:darkblue;"
	 * ></span>.
	 */
	darkblue(new RGB(0x00, 0x00, 0x8b)),

	/**
	 * Farbe: darkcyan <span
	 * style="border:1px solid black;width:80px;background-color:darkcyan;"
	 * ></span>.
	 */
	darkcyan(new RGB(0x00, 0x8b, 0x8b)),

	/**
	 * Farbe: darkgoldenrod <span style=
	 * "border:1px solid black;width:80px;background-color:darkgoldenrod;"
	 * ></span>.
	 */
	darkgoldenrod(new RGB(0xb8, 0x86, 0x0b)),

	/**
	 * Farbe: darkgray <span
	 * style="border:1px solid black;width:80px;background-color:darkgray;"
	 * ></span>.
	 */
	darkgray(new RGB(0xa9, 0xa9, 0xa9)),

	/**
	 * Farbe: darkgreen <span
	 * style="border:1px solid black;width:80px;background-color:darkgreen;"
	 * ></span>.
	 */
	darkgreen(new RGB(0x00, 0x64, 0x00)),

	/**
	 * Farbe: darkgrey <span
	 * style="border:1px solid black;width:80px;background-color:darkgrey;"
	 * ></span>.
	 */
	darkgrey(new RGB(0xa9, 0xa9, 0xa9)),

	/**
	 * Farbe: darkkhaki <span
	 * style="border:1px solid black;width:80px;background-color:darkkhaki;"
	 * ></span>.
	 */
	darkkhaki(new RGB(0xbd, 0xb7, 0x6b)),

	/**
	 * Farbe: darkmagenta <span
	 * style="border:1px solid black;width:80px;background-color:darkmagenta;"
	 * ></span>.
	 */
	darkmagenta(new RGB(0x8b, 0x00, 0x8b)),

	/**
	 * Farbe: darkolivegreen <span style=
	 * "border:1px solid black;width:80px;background-color:darkolivegreen;"
	 * ></span>.
	 */
	darkolivegreen(new RGB(0x55, 0x6b, 0x2f)),

	/**
	 * Farbe: darkorange <span
	 * style="border:1px solid black;width:80px;background-color:darkorange;"
	 * ></span>.
	 */
	darkorange(new RGB(0xff, 0x8c, 0x00)),

	/**
	 * Farbe: darkorchid <span
	 * style="border:1px solid black;width:80px;background-color:darkorchid;"
	 * ></span>.
	 */
	darkorchid(new RGB(0x99, 0x32, 0xcc)),

	/**
	 * Farbe: darkred <span
	 * style="border:1px solid black;width:80px;background-color:darkred;"
	 * ></span>.
	 */
	darkred(new RGB(0x8b, 0x00, 0x00)),

	/**
	 * Farbe: darksalmon <span
	 * style="border:1px solid black;width:80px;background-color:darksalmon;"
	 * ></span>.
	 */
	darksalmon(new RGB(0xe9, 0x96, 0x7a)),

	/**
	 * Farbe: darkseagreen <span style=
	 * "border:1px solid black;width:80px;background-color:darkseagreen;"
	 * ></span>.
	 */
	darkseagreen(new RGB(0x8f, 0xbc, 0x8f)),

	/**
	 * Farbe: darkslateblue <span style=
	 * "border:1px solid black;width:80px;background-color:darkslateblue;"
	 * ></span>.
	 */
	darkslateblue(new RGB(0x48, 0x3d, 0x8b)),

	/**
	 * Farbe: darkslategray <span style=
	 * "border:1px solid black;width:80px;background-color:darkslategray;"
	 * ></span>.
	 */
	darkslategray(new RGB(0x2f, 0x4f, 0x4f)),

	/**
	 * Farbe: darkslategrey <span style=
	 * "border:1px solid black;width:80px;background-color:darkslategrey;"
	 * ></span>.
	 */
	darkslategrey(new RGB(0x2f, 0x4f, 0x4f)),

	/**
	 * Farbe: darkturquoise <span style=
	 * "border:1px solid black;width:80px;background-color:darkturquoise;"
	 * ></span>.
	 */
	darkturquoise(new RGB(0x00, 0xce, 0xd1)),

	/**
	 * Farbe: darkviolet <span
	 * style="border:1px solid black;width:80px;background-color:darkviolet;"
	 * ></span>.
	 */
	darkviolet(new RGB(0x94, 0x00, 0xd3)),

	/**
	 * Farbe: deeppink <span
	 * style="border:1px solid black;width:80px;background-color:deeppink;"
	 * ></span>.
	 */
	deeppink(new RGB(0xff, 0x14, 0x93)),

	/**
	 * Farbe: deepskyblue <span
	 * style="border:1px solid black;width:80px;background-color:deepskyblue;"
	 * ></span>.
	 */
	deepskyblue(new RGB(0x00, 0xbf, 0xff)),

	/**
	 * Farbe: dimgray <span
	 * style="border:1px solid black;width:80px;background-color:dimgray;"
	 * ></span>.
	 */
	dimgray(new RGB(0x69, 0x69, 0x69)),

	/**
	 * Farbe: dimgrey <span
	 * style="border:1px solid black;width:80px;background-color:dimgrey;"
	 * ></span>.
	 */
	dimgrey(new RGB(0x69, 0x69, 0x69)),

	/**
	 * Farbe: dodgerblue <span
	 * style="border:1px solid black;width:80px;background-color:dodgerblue;"
	 * ></span>.
	 */
	dodgerblue(new RGB(0x1e, 0x90, 0xff)),

	/**
	 * Farbe: firebrick <span
	 * style="border:1px solid black;width:80px;background-color:firebrick;"
	 * ></span>.
	 */
	firebrick(new RGB(0xb2, 0x22, 0x22)),

	/**
	 * Farbe: floralwhite <span
	 * style="border:1px solid black;width:80px;background-color:floralwhite;"
	 * ></span>.
	 */
	floralwhite(new RGB(0xff, 0xfa, 0xf0)),

	/**
	 * Farbe: forestgreen <span
	 * style="border:1px solid black;width:80px;background-color:forestgreen;"
	 * ></span>.
	 */
	forestgreen(new RGB(0x22, 0x8b, 0x22)),

	/**
	 * Farbe: fuchsia <span
	 * style="border:1px solid black;width:80px;background-color:fuchsia;"
	 * ></span>.
	 */
	fuchsia(new RGB(0xff, 0x00, 0xff)),

	/**
	 * Farbe: gainsboro <span
	 * style="border:1px solid black;width:80px;background-color:gainsboro;"
	 * ></span>.
	 */
	gainsboro(new RGB(0xdc, 0xdc, 0xdc)),

	/**
	 * Farbe: ghostwhite <span
	 * style="border:1px solid black;width:80px;background-color:ghostwhite;"
	 * ></span>.
	 */
	ghostwhite(new RGB(0xf8, 0xf8, 0xff)),

	/**
	 * Farbe: gold <span
	 * style="border:1px solid black;width:80px;background-color:gold;"
	 * ></span>.
	 */
	gold(new RGB(0xff, 0xd7, 0x00)),

	/**
	 * Farbe: goldenrod <span
	 * style="border:1px solid black;width:80px;background-color:goldenrod;"
	 * ></span>.
	 */
	goldenrod(new RGB(0xda, 0xa5, 0x20)),

	/**
	 * Farbe: gray <span
	 * style="border:1px solid black;width:80px;background-color:gray;"
	 * ></span>.
	 */
	gray(new RGB(0x80, 0x80, 0x80)),

	/**
	 * Farbe: grey <span
	 * style="border:1px solid black;width:80px;background-color:grey;"
	 * ></span>.
	 */
	grey(new RGB(0x80, 0x80, 0x80)),

	/**
	 * Farbe: green <span
	 * style="border:1px solid black;width:80px;background-color:green;"
	 * ></span>.
	 */
	green(new RGB(0x00, 0x80, 0x00)),

	/**
	 * Farbe: greenyellow <span
	 * style="border:1px solid black;width:80px;background-color:greenyellow;"
	 * ></span>.
	 */
	greenyellow(new RGB(0xad, 0xff, 0x2f)),

	/**
	 * Farbe: honeydew <span
	 * style="border:1px solid black;width:80px;background-color:honeydew;"
	 * ></span>.
	 */
	honeydew(new RGB(0xf0, 0xff, 0xf0)),

	/**
	 * Farbe: hotpink <span
	 * style="border:1px solid black;width:80px;background-color:hotpink;"
	 * ></span>.
	 */
	hotpink(new RGB(0xff, 0x69, 0xb4)),

	/**
	 * Farbe: indianred <span
	 * style="border:1px solid black;width:80px;background-color:indianred;"
	 * ></span>.
	 */
	indianred(new RGB(0xcd, 0x5c, 0x5c)),

	/**
	 * Farbe: indigo <span
	 * style="border:1px solid black;width:80px;background-color:indigo;"
	 * ></span>.
	 */
	indigo(new RGB(0x4b, 0x00, 0x82)),

	/**
	 * Farbe: ivory <span
	 * style="border:1px solid black;width:80px;background-color:ivory;"
	 * ></span>.
	 */
	ivory(new RGB(0xff, 0xff, 0xf0)),

	/**
	 * Farbe: khaki <span
	 * style="border:1px solid black;width:80px;background-color:khaki;"
	 * ></span>.
	 */
	khaki(new RGB(0xf0, 0xe6, 0x8c)),

	/**
	 * Farbe: lavender <span
	 * style="border:1px solid black;width:80px;background-color:lavender;"
	 * ></span>.
	 */
	lavender(new RGB(0xe6, 0xe6, 0xfa)),

	/**
	 * Farbe: lavenderblush <span style=
	 * "border:1px solid black;width:80px;background-color:lavenderblush;"
	 * ></span>.
	 */
	lavenderblush(new RGB(0xff, 0xf0, 0xf5)),

	/**
	 * Farbe: lawngreen <span
	 * style="border:1px solid black;width:80px;background-color:lawngreen;"
	 * ></span>.
	 */
	lawngreen(new RGB(0x7c, 0xfc, 0x00)),

	/**
	 * Farbe: lemonchiffon <span style=
	 * "border:1px solid black;width:80px;background-color:lemonchiffon;"
	 * ></span>.
	 */
	lemonchiffon(new RGB(0xff, 0xfa, 0xcd)),

	/**
	 * Farbe: lightblue <span
	 * style="border:1px solid black;width:80px;background-color:lightblue;"
	 * ></span>.
	 */
	lightblue(new RGB(0xad, 0xd8, 0xe6)),

	/**
	 * Farbe: lightcoral <span
	 * style="border:1px solid black;width:80px;background-color:lightcoral;"
	 * ></span>.
	 */
	lightcoral(new RGB(0xf0, 0x80, 0x80)),

	/**
	 * Farbe: lightcyan <span
	 * style="border:1px solid black;width:80px;background-color:lightcyan;"
	 * ></span>.
	 */
	lightcyan(new RGB(0xe0, 0xff, 0xff)),

	/**
	 * Farbe: lightgoldenrodyellow <span style=
	 * "border:1px solid black;width:80px;background-color:lightgoldenrodyellow;"
	 * ></span>.
	 */
	lightgoldenrodyellow(new RGB(0xfa, 0xfa, 0xd2)),

	/**
	 * Farbe: lightgray <span
	 * style="border:1px solid black;width:80px;background-color:lightgray;"
	 * ></span>.
	 */
	lightgray(new RGB(0xd3, 0xd3, 0xd3)),

	/**
	 * Farbe: lightgreen <span
	 * style="border:1px solid black;width:80px;background-color:lightgreen;"
	 * ></span>.
	 */
	lightgreen(new RGB(0x90, 0xee, 0x90)),

	/**
	 * Farbe: lightgrey <span
	 * style="border:1px solid black;width:80px;background-color:lightgrey;"
	 * ></span>.
	 */
	lightgrey(new RGB(0xd3, 0xd3, 0xd3)),

	/**
	 * Farbe: lightpink <span
	 * style="border:1px solid black;width:80px;background-color:lightpink;"
	 * ></span>.
	 */
	lightpink(new RGB(0xff, 0xb6, 0xc1)),

	/**
	 * Farbe: lightsalmon <span
	 * style="border:1px solid black;width:80px;background-color:lightsalmon;"
	 * ></span>.
	 */
	lightsalmon(new RGB(0xff, 0xa0, 0x7a)),

	/**
	 * Farbe: lightseagreen <span style=
	 * "border:1px solid black;width:80px;background-color:lightseagreen;"
	 * ></span>.
	 */
	lightseagreen(new RGB(0x20, 0xb2, 0xaa)),

	/**
	 * Farbe: lightskyblue <span style=
	 * "border:1px solid black;width:80px;background-color:lightskyblue;"
	 * ></span>.
	 */
	lightskyblue(new RGB(0x87, 0xce, 0xfa)),

	/**
	 * Farbe: lightslategray <span style=
	 * "border:1px solid black;width:80px;background-color:lightslategray;"
	 * ></span>.
	 */
	lightslategray(new RGB(0x77, 0x88, 0x99)),

	/**
	 * Farbe: lightslategrey <span style=
	 * "border:1px solid black;width:80px;background-color:lightslategrey;"
	 * ></span>.
	 */
	lightslategrey(new RGB(0x77, 0x88, 0x99)),

	/**
	 * Farbe: lightsteelblue <span style=
	 * "border:1px solid black;width:80px;background-color:lightsteelblue;"
	 * ></span>.
	 */
	lightsteelblue(new RGB(0xb0, 0xc4, 0xde)),

	/**
	 * Farbe: lightyellow <span
	 * style="border:1px solid black;width:80px;background-color:lightyellow;"
	 * ></span>.
	 */
	lightyellow(new RGB(0xff, 0xff, 0xe0)),

	/**
	 * Farbe: lime <span
	 * style="border:1px solid black;width:80px;background-color:lime;"
	 * ></span>.
	 */
	lime(new RGB(0x00, 0xff, 0x00)),

	/**
	 * Farbe: limegreen <span
	 * style="border:1px solid black;width:80px;background-color:limegreen;"
	 * ></span>.
	 */
	limegreen(new RGB(0x32, 0xcd, 0x32)),

	/**
	 * Farbe: linen <span
	 * style="border:1px solid black;width:80px;background-color:linen;"
	 * ></span>.
	 */
	linen(new RGB(0xfa, 0xf0, 0xe6)),

	/**
	 * Farbe: magenta <span
	 * style="border:1px solid black;width:80px;background-color:magenta;"
	 * ></span>.
	 */
	magenta(new RGB(0xff, 0x00, 0xff)),

	/**
	 * Farbe: maroon <span
	 * style="border:1px solid black;width:80px;background-color:maroon;"
	 * ></span>.
	 */
	maroon(new RGB(0x80, 0x00, 0x00)),

	/**
	 * Farbe: mediumaquamarine <span style=
	 * "border:1px solid black;width:80px;background-color:mediumaquamarine;"
	 * ></span>.
	 */
	mediumaquamarine(new RGB(0x66, 0xcd, 0xaa)),

	/**
	 * Farbe: mediumblue <span
	 * style="border:1px solid black;width:80px;background-color:mediumblue;"
	 * ></span>.
	 */
	mediumblue(new RGB(0x00, 0x00, 0xcd)),

	/**
	 * Farbe: mediumorchid <span style=
	 * "border:1px solid black;width:80px;background-color:mediumorchid;"
	 * ></span>.
	 */
	mediumorchid(new RGB(0xba, 0x55, 0xd3)),

	/**
	 * Farbe: mediumpurple <span style=
	 * "border:1px solid black;width:80px;background-color:mediumpurple;"
	 * ></span>.
	 */
	mediumpurple(new RGB(0x93, 0x70, 0xdb)),

	/**
	 * Farbe: mediumseagreen <span style=
	 * "border:1px solid black;width:80px;background-color:mediumseagreen;"
	 * ></span>.
	 */
	mediumseagreen(new RGB(0x3c, 0xb3, 0x71)),

	/**
	 * Farbe: mediumslateblue <span style=
	 * "border:1px solid black;width:80px;background-color:mediumslateblue;"
	 * ></span>.
	 */
	mediumslateblue(new RGB(0x7b, 0x68, 0xee)),

	/**
	 * Farbe: mediumspringgreen <span style=
	 * "border:1px solid black;width:80px;background-color:mediumspringgreen;"
	 * ></span>.
	 */
	mediumspringgreen(new RGB(0x00, 0xfa, 0x9a)),

	/**
	 * Farbe: mediumturquoise <span style=
	 * "border:1px solid black;width:80px;background-color:mediumturquoise;"
	 * ></span>.
	 */
	mediumturquoise(new RGB(0x48, 0xd1, 0xcc)),

	/**
	 * Farbe: mediumvioletred <span style=
	 * "border:1px solid black;width:80px;background-color:mediumvioletred;"
	 * ></span>.
	 */
	mediumvioletred(new RGB(0xc7, 0x15, 0x85)),

	/**
	 * Farbe: midnightblue <span style=
	 * "border:1px solid black;width:80px;background-color:midnightblue;"
	 * ></span>.
	 */
	midnightblue(new RGB(0x19, 0x19, 0x70)),

	/**
	 * Farbe: mintcream <span
	 * style="border:1px solid black;width:80px;background-color:mintcream;"
	 * ></span>.
	 */
	mintcream(new RGB(0xf5, 0xff, 0xfa)),

	/**
	 * Farbe: mistyrose <span
	 * style="border:1px solid black;width:80px;background-color:mistyrose;"
	 * ></span>.
	 */
	mistyrose(new RGB(0xff, 0xe4, 0xe1)),

	/**
	 * Farbe: moccasin <span
	 * style="border:1px solid black;width:80px;background-color:moccasin;"
	 * ></span>.
	 */
	moccasin(new RGB(0xff, 0xe4, 0xb5)),

	/**
	 * Farbe: navajowhite <span
	 * style="border:1px solid black;width:80px;background-color:navajowhite;"
	 * ></span>.
	 */
	navajowhite(new RGB(0xff, 0xde, 0xad)),

	/**
	 * Farbe: navy <span
	 * style="border:1px solid black;width:80px;background-color:navy;"
	 * ></span>.
	 */
	navy(new RGB(0x00, 0x00, 0x80)),

	/**
	 * Farbe: oldlace <span
	 * style="border:1px solid black;width:80px;background-color:oldlace;"
	 * ></span>.
	 */
	oldlace(new RGB(0xfd, 0xf5, 0xe6)),

	/**
	 * Farbe: olive <span
	 * style="border:1px solid black;width:80px;background-color:olive;"
	 * ></span>.
	 */
	olive(new RGB(0x80, 0x80, 0x00)),

	/**
	 * Farbe: olivedrab <span
	 * style="border:1px solid black;width:80px;background-color:olivedrab;"
	 * ></span>.
	 */
	olivedrab(new RGB(0x6b, 0x8e, 0x23)),

	/**
	 * Farbe: orange <span
	 * style="border:1px solid black;width:80px;background-color:orange;"
	 * ></span>.
	 */
	orange(new RGB(0xff, 0xa5, 0x00)),

	/**
	 * Farbe: orangered <span
	 * style="border:1px solid black;width:80px;background-color:orangered;"
	 * ></span>.
	 */
	orangered(new RGB(0xff, 0x45, 0x00)),

	/**
	 * Farbe: orchid <span
	 * style="border:1px solid black;width:80px;background-color:orchid;"
	 * ></span>.
	 */
	orchid(new RGB(0xda, 0x70, 0xd6)),

	/**
	 * Farbe: palegoldenrod <span style=
	 * "border:1px solid black;width:80px;background-color:palegoldenrod;"
	 * ></span>.
	 */
	palegoldenrod(new RGB(0xee, 0xe8, 0xaa)),

	/**
	 * Farbe: palegreen <span
	 * style="border:1px solid black;width:80px;background-color:palegreen;"
	 * ></span>.
	 */
	palegreen(new RGB(0x98, 0xfb, 0x98)),

	/**
	 * Farbe: paleturquoise <span style=
	 * "border:1px solid black;width:80px;background-color:paleturquoise;"
	 * ></span>.
	 */
	paleturquoise(new RGB(0xaf, 0xee, 0xee)),

	/**
	 * Farbe: palevioletred <span style=
	 * "border:1px solid black;width:80px;background-color:palevioletred;"
	 * ></span>.
	 */
	palevioletred(new RGB(0xdb, 0x70, 0x93)),

	/**
	 * Farbe: papayawhip <span
	 * style="border:1px solid black;width:80px;background-color:papayawhip;"
	 * ></span>.
	 */
	papayawhip(new RGB(0xff, 0xef, 0xd5)),

	/**
	 * Farbe: peachpuff <span
	 * style="border:1px solid black;width:80px;background-color:peachpuff;"
	 * ></span>.
	 */
	peachpuff(new RGB(0xff, 0xda, 0xb9)),

	/**
	 * Farbe: peru <span
	 * style="border:1px solid black;width:80px;background-color:peru;"
	 * ></span>.
	 */
	peru(new RGB(0xcd, 0x85, 0x3f)),

	/**
	 * Farbe: pink <span
	 * style="border:1px solid black;width:80px;background-color:pink;"
	 * ></span>.
	 */
	pink(new RGB(0xff, 0xc0, 0xcb)),

	/**
	 * Farbe: plum <span
	 * style="border:1px solid black;width:80px;background-color:plum;"
	 * ></span>.
	 */
	plum(new RGB(0xdd, 0xa0, 0xdd)),

	/**
	 * Farbe: powderblue <span
	 * style="border:1px solid black;width:80px;background-color:powderblue;"
	 * ></span>.
	 */
	powderblue(new RGB(0xb0, 0xe0, 0xe6)),

	/**
	 * Farbe: purple <span
	 * style="border:1px solid black;width:80px;background-color:purple;"
	 * ></span>.
	 */
	purple(new RGB(0x80, 0x00, 0x80)),

	/**
	 * Farbe: red <span
	 * style="border:1px solid black;width:80px;background-color:red;" ></span>.
	 */
	red(new RGB(0xff, 0x00, 0x00)),

	/**
	 * Farbe: rosybrown <span
	 * style="border:1px solid black;width:80px;background-color:rosybrown;"
	 * ></span>.
	 */
	rosybrown(new RGB(0xbc, 0x8f, 0x8f)),

	/**
	 * Farbe: royalblue <span
	 * style="border:1px solid black;width:80px;background-color:royalblue;"
	 * ></span>.
	 */
	royalblue(new RGB(0x41, 0x69, 0xe1)),

	/**
	 * Farbe: saddlebrown <span
	 * style="border:1px solid black;width:80px;background-color:saddlebrown;"
	 * ></span>.
	 */
	saddlebrown(new RGB(0x8b, 0x45, 0x13)),

	/**
	 * Farbe: salmon <span
	 * style="border:1px solid black;width:80px;background-color:salmon;"
	 * ></span>.
	 */
	salmon(new RGB(0xfa, 0x80, 0x72)),

	/**
	 * Farbe: sandybrown <span
	 * style="border:1px solid black;width:80px;background-color:sandybrown;"
	 * ></span>.
	 */
	sandybrown(new RGB(0xf4, 0xa4, 0x60)),

	/**
	 * Farbe: seagreen <span
	 * style="border:1px solid black;width:80px;background-color:seagreen;"
	 * ></span>.
	 */
	seagreen(new RGB(0x2e, 0x8b, 0x57)),

	/**
	 * Farbe: seashell <span
	 * style="border:1px solid black;width:80px;background-color:seashell;"
	 * ></span>.
	 */
	seashell(new RGB(0xff, 0xf5, 0xee)),

	/**
	 * Farbe: sienna <span
	 * style="border:1px solid black;width:80px;background-color:sienna;"
	 * ></span>.
	 */
	sienna(new RGB(0xa0, 0x52, 0x2d)),

	/**
	 * Farbe: silver <span
	 * style="border:1px solid black;width:80px;background-color:silver;"
	 * ></span>.
	 */
	silver(new RGB(0xc0, 0xc0, 0xc0)),

	/**
	 * Farbe: skyblue <span
	 * style="border:1px solid black;width:80px;background-color:skyblue;"
	 * ></span>.
	 */
	skyblue(new RGB(0x87, 0xce, 0xeb)),

	/**
	 * Farbe: slateblue <span
	 * style="border:1px solid black;width:80px;background-color:slateblue;"
	 * ></span>.
	 */
	slateblue(new RGB(0x6a, 0x5a, 0xcd)),

	/**
	 * Farbe: slategray <span
	 * style="border:1px solid black;width:80px;background-color:slategray;"
	 * ></span>.
	 */
	slategray(new RGB(0x70, 0x80, 0x90)),

	/**
	 * Farbe: slategrey <span
	 * style="border:1px solid black;width:80px;background-color:slategrey;"
	 * ></span>.
	 */
	slategrey(new RGB(0x70, 0x80, 0x90)),

	/**
	 * Farbe: snow <span
	 * style="border:1px solid black;width:80px;background-color:snow;"
	 * ></span>.
	 */
	snow(new RGB(0xff, 0xfa, 0xfa)),

	/**
	 * Farbe: springgreen <span
	 * style="border:1px solid black;width:80px;background-color:springgreen;"
	 * ></span>.
	 */
	springgreen(new RGB(0x00, 0xff, 0x7f)),

	/**
	 * Farbe: steelblue <span
	 * style="border:1px solid black;width:80px;background-color:steelblue;"
	 * ></span>.
	 */
	steelblue(new RGB(0x46, 0x82, 0xb4)),

	/**
	 * Farbe: tan <span
	 * style="border:1px solid black;width:80px;background-color:tan;" ></span>.
	 */
	tan(new RGB(0xd2, 0xb4, 0x8c)),

	/**
	 * Farbe: teal <span
	 * style="border:1px solid black;width:80px;background-color:teal;"
	 * ></span>.
	 */
	teal(new RGB(0x00, 0x80, 0x80)),

	/**
	 * Farbe: thistle <span
	 * style="border:1px solid black;width:80px;background-color:thistle;"
	 * ></span>.
	 */
	thistle(new RGB(0xd8, 0xbf, 0xd8)),

	/**
	 * Farbe: tomato <span
	 * style="border:1px solid black;width:80px;background-color:tomato;"
	 * ></span>.
	 */
	tomato(new RGB(0xff, 0x63, 0x47)),

	/**
	 * Farbe: turquoise <span
	 * style="border:1px solid black;width:80px;background-color:turquoise;"
	 * ></span>.
	 */
	turquoise(new RGB(0x40, 0xe0, 0xd0)),

	/**
	 * Farbe: violet <span
	 * style="border:1px solid black;width:80px;background-color:violet;"
	 * ></span>.
	 */
	violet(new RGB(0xee, 0x82, 0xee)),

	/**
	 * Farbe: wheat <span
	 * style="border:1px solid black;width:80px;background-color:wheat;"
	 * ></span>.
	 */
	wheat(new RGB(0xf5, 0xde, 0xb3)),

	/**
	 * Farbe: white <span
	 * style="border:1px solid black;width:80px;background-color:white;"
	 * ></span>.
	 */
	white(new RGB(0xff, 0xff, 0xff)),

	/**
	 * Farbe: whitesmoke <span
	 * style="border:1px solid black;width:80px;background-color:whitesmoke;"
	 * ></span>.
	 */
	whitesmoke(new RGB(0xf5, 0xf5, 0xf5)),

	/**
	 * Farbe: yellow <span
	 * style="border:1px solid black;width:80px;background-color:yellow;"
	 * ></span>.
	 */
	yellow(new RGB(0xff, 0xff, 0x00)),

	/**
	 * Farbe: yellowgreen <span
	 * style="border:1px solid black;width:80px;background-color:yellowgreen;"
	 * ></span>.
	 */
	yellowgreen(new RGB(0x9a, 0xcd, 0x32));

	private static final Debug LOGGER = Debug.getLogger();
	private static final String RGB_PREFIX = "rgb(";
	private RGB rgb;

	private RwColor(final RGB rgb) {
		this.rgb = rgb;
	}

	/**
	 * liefert die RGB-Werte fr die durch den bergebenen Text festgelegte
	 * Farbe.
	 * 
	 * Wenn der bergebene String einer der vordefinierten Farbkonstanten
	 * entspricht, wird deren RGB-Konfiguration geliefert. Ansonten wird ein
	 * String mit dem Format "rgb(RR,GG,BB)" erwartet, wobei die Farbwerte im
	 * Dezimalformat anzugeben sind.
	 * 
	 * ALs letzte Rckfall-Ebene wird immer die Farbe schwarz (RGB(0,0,0))
	 * ausgeliefert.
	 * 
	 * @param colorDef
	 *            der String, mit dem die Farbe definiert wird
	 * @return die RGB-Werte
	 */
	public static RGB getRgbFromString(final String colorDef) {
		RGB result = null;
		if (colorDef == null) {
			result = black.rgb;
		} else {
			final String colorArg = colorDef.toLowerCase();
			try {
				final RwColor color = RwColor.valueOf(colorArg);
				result = color.rgb;
			} catch (final IllegalArgumentException e) {
				result = RwColor.parseRgb(colorArg);
				if (result == null) {
					result = black.rgb;
				}
			}
		}

		return result;
	}

	private static RGB parseRgb(final String colorArg) {

		RGB result = null;

		if (colorArg.startsWith(RwColor.RGB_PREFIX)) {
			final String[] parts = colorArg
					.substring(RwColor.RGB_PREFIX.length())
					.replaceAll("\\)", "").split(",");
			result = new RGB(0, 0, 0);
			try {
				if (parts.length > 2) {
					result.blue = Integer.parseInt(parts[2]);
				}
				if (parts.length > 1) {
					result.green = Integer.parseInt(parts[1]);
				}
				if (parts.length > 0) {
					result.red = Integer.parseInt(parts[0]);
				}
			} catch (final NumberFormatException e) {
				// wird ignoriert und die Farbe wie bisher gelesen zurckgegeben
				RwColor.LOGGER.warning(e.getLocalizedMessage());
			}
		}
		return result;
	}

	// TODO Auslagern in Tests
	// public static void main(final String[] args) {
	// System.err.println("tomato: " + RwColor.getRgbFromString("tomato"));
	// System.err.println("ReD: " + RwColor.getRgbFromString("ReD"));
	// System.err.println("skldjflsdfkljlk: "
	// + RwColor.getRgbFromString("skldjflsdfkljlk"));
	// System.err.println("rgb(23,45,56): "
	// + RwColor.getRgbFromString("rgb(23,45,56)"));
	// System.err.println("rgb(23,45,56, 80): "
	// + RwColor.getRgbFromString("rgb(23,45,56, 80)"));
	// System.err.println("rgb(23,45): "
	// + RwColor.getRgbFromString("rgb(23,45)"));
	// System.err.println("rgb(willi,45): "
	// + RwColor.getRgbFromString("rgb(willi,45)"));
	// System.err.println("leer" + RwColor.getRgbFromString(""));
	// System.err.println("null" + RwColor.getRgbFromString(null));
	// }
}
