/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 */

package de.bsvrz.buv.rw.rw.berechtigungen.editor;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

/**
 * Filter, der den Container fr nicht zuordenbare Funktion ausblendet, wenn
 * keine solchen existieren.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: BerechtigungenFilter.java 49945 2014-04-02 12:44:01Z peuker $
 */
public class BerechtigungenFilter extends ViewerFilter {

	@Override
	public boolean select(final Viewer viewer, final Object parentElement,
			final Object element) {
		if (element instanceof PluginMitBerechtigungen) {
			final PluginMitBerechtigungen plugin = (PluginMitBerechtigungen) element;
			if ((!plugin.isPlugin()) && plugin.getFunktionen().isEmpty()) {
				return false;
			}
		}
		return true;
	}
}
