/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 *
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 */

package de.bsvrz.buv.rw.rw.einstellungen;

import de.bsvrz.buv.rw.basislib.urlasser.UrlasserInfo;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * Netzweiter (Datenverteiler)-Einstellungsspeicher fr eine Benutzerklasse.
 *
 * TODO korrekt implementieren, wenn die Speicherung der Einstellungen im
 * Datenverteiler geklrt wurde
 *
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: BenutzerKlasseNetzSpeicher.java 47183 2013-11-18 09:25:32Z
 *          peuker $
 */
class BenutzerKlasseNetzSpeicher extends EinstellungsSpeicher {

	@SuppressWarnings("unused")
	private final String pid;
	@SuppressWarnings("unused")
	private final EinstellungenSpeichermanager manager;
	@SuppressWarnings("unused")
	private static final Debug LOGGER = Debug.getLogger();

	public BenutzerKlasseNetzSpeicher(final String pid,
			final EinstellungenSpeichermanager manager) {
		this.pid = pid;
		this.manager = manager;
	}

	@Override
	protected void doSave(final String data, final UrlasserInfo info) throws EinstellungsSpeicherException {
		throw new EinstellungsSpeicherException(
				"Benutzerklassen-Einstellungen knnen mit dem aktuellen Datenmodell nicht netzwerkweit gespeichert werden!");
		// TODO Implementierung, wenn Datenmodell angepasst wurde
	}
}
