/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 */

package de.bsvrz.buv.rw.rw.einstellungen;

import org.eclipse.jface.preference.IPreferenceStore;

import de.bsvrz.buv.rw.basislib.urlasser.UrlasserInfo;

/**
 * Einstellungsspeicher fr lokale Einstellungen.
 * 
 * Lokale Einstellungen werden lelungen
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: LokalSpeicher.java 45420 2013-08-09 12:12:12Z peuker $
 */
class LokalSpeicher extends EinstellungsSpeicher {

	private final String preferenceKey;

	public LokalSpeicher(final String pid) {
		preferenceKey = LokalSpeicher.getPreferenceKey(pid);
	}

	public static String getPreferenceKey(final String pid) {

		String result;

		if (pid == null) {
			result = RwEinstellungenActivator.PLUGIN_ID + "_system";
		} else {
			result = RwEinstellungenActivator.PLUGIN_ID + "_object_" + pid;
		}
		return result;
	}

	@Override
	protected void doSave(final String data, final UrlasserInfo info) {
		final IPreferenceStore preferenceStore = RwEinstellungenActivator
				.getDefault().getPreferenceStore();
		preferenceStore.setValue(preferenceKey, data);
	}
}
