/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 */

package de.bsvrz.buv.rw.rw.einstellungen;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

import de.bsvrz.buv.rw.basislib.einstellungen.Einstellungen;

/**
 * der Aktivator des Plug-ins zur Bereitstellung eines Services vom Typ
 * {@link Einstellungen}.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: RwEinstellungenActivator.java 45420 2013-08-09 12:12:12Z peuker $
 */
public class RwEinstellungenActivator extends AbstractUIPlugin {

	/** die ID des Plug-ins. */
	public static final String PLUGIN_ID = "de.bsvrz.buv.rw.rw.einstellungen";

	private static RwEinstellungenActivator plugin;

	@Override
	public void start(final BundleContext context) throws Exception {
		super.start(context);
		RwEinstellungenActivator.plugin = this;
	}

	@Override
	public void stop(final BundleContext context) throws Exception {
		RwEinstellungenActivator.plugin = null;
		super.stop(context);
	}

	/**
	 * liefert die globale Instanz des Plug-ins.
	 * 
	 * Die Instanz ist erst nach der Aktivierung des Plug-ins verfgbar,
	 * anderenfalls wird <code>null</code> geliefert.
	 * 
	 * @return die Instanz oder <code>null</code>
	 */
	public static RwEinstellungenActivator getDefault() {
		return RwEinstellungenActivator.plugin;
	}
}
