/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 */
package de.bsvrz.buv.rw.rw.handler;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.handlers.HandlerUtil;
import org.eclipse.ui.intro.IIntroManager;

/**
 * Handler zur Aktivierung der Willkommenseite.
 * 
 * TODO kann potentiell entfernt werden, wenn der Bug:
 * https://bugs.eclipse.org/bugs/show_bug.cgi?id=413626 beseitigt ist.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: WelcomeHandler.java 45420 2013-08-09 12:12:12Z peuker $
 */
public class WelcomeHandler extends AbstractHandler {

	@Override
	public Object execute(final ExecutionEvent event) throws ExecutionException {
		final IWorkbenchWindow window = HandlerUtil
				.getActiveWorkbenchWindow(event);
		if (window != null) {
			final IWorkbench workbench = window.getWorkbench();
			final IIntroManager introManager = workbench.getIntroManager();
			if (introManager != null) {
				introManager.showIntro(window, false);
				return null;
			}
		}

		MessageDialog.openWarning(HandlerUtil.getActiveShell(event), "Fehler",
				"Keine Willkommenseite verfgbar!");

		return null;
	}
}
