/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 */

package de.bsvrz.buv.rw.rw.internal;

import org.eclipse.swt.SWT;
import org.eclipse.swt.browser.Browser;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.IntroPart;

import de.bsvrz.buv.rw.rw.RahmenwerkActivator;
import de.bsvrz.buv.rw.rw.preferences.RahmenwerkPreference;

/**
 * Introseite fr den Start des Rahmenwerks.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: RahmenwerkIntro.java 45420 2013-08-09 12:12:12Z peuker $
 */
public class RahmenwerkIntro extends IntroPart {

	private Browser browser;

	@Override
	public void standbyStateChanged(final boolean standby) {
		// wird (noch) nicht bewertet
	}

	@Override
	public void createPartControl(final Composite parent) {

		String url = null;

		if (RahmenwerkImpl.getInstanz().getStartParameter()
				.hasArgument("-introUrl")) {
			url = RahmenwerkImpl.getInstanz().getStartParameter()
					.fetchArgument("-introUrl").getValue();
		} else {

			url = RahmenwerkActivator.getDefault().getPreferenceStore()
					.getString(RahmenwerkPreference.INTRO_URL.getId());
			if ((url == null) || url.trim().isEmpty()) {
				url = "http://www.bitctrl.de";
			}
		}

		browser = new Browser(parent, SWT.NONE);
		if (url == null) {
			browser.setText("<h1>BSVRZ-Rahmenwerk Version 2.0</h1>");
		} else {
			browser.setUrl(url);
		}
	}

	@Override
	public void setFocus() {
		if ((browser != null) && (!browser.isDisposed())) {
			browser.setFocus();
		}
	}

	@Override
	public void dispose() {
		RahmenwerkActivator.getDefault().getPreferenceStore()
				.setValue("introDisplayed", true);
		super.dispose();
	}
}
