/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 */

package de.bsvrz.buv.rw.rw.menu;

import java.io.IOException;

import javax.xml.parsers.ParserConfigurationException;

import org.xml.sax.SAXException;

/**
 * Reprsentation einer Statusleiste fr das Rahmenwerk.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: StatusLeiste.java 45420 2013-08-09 12:12:12Z peuker $
 */
public class StatusLeiste extends AbstractMenueLeiste {

	/** Standardkonstruktor, erzeugt eine leere Statusleiste. */
	public StatusLeiste() {
		super();
	}

	/**
	 * Konstruktor.
	 * 
	 * @param parameter
	 *            die Statusleisten-Definition als XML-Struktur
	 * @throws SAXException
	 *             XML-Daten konnten nicht interpretiert werden
	 * @throws IOException
	 *             Daten konnten nicht eingelesen werden
	 * @throws ParserConfigurationException
	 *             fehlerhafte Konfiguration des XML-Parsers
	 */
	public StatusLeiste(final String parameter) throws SAXException,
			IOException, ParserConfigurationException {
		super(parameter);
	}

	@Override
	protected String getRootTag() {
		return MenuXmlHandler.TAG_STATUS_LEISTE;
	}

	@Override
	public String getName() {
		return "Statusleiste";
	}
}
