/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 *   
 **************************************************************************************
 *
 * This file is part of Rahmenwerk.
 * 
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *
 * Copyright (c) 2008 Dambach Werke GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * Dambach Werke GmbH - initial API and implementation
 *
 *
 *
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */

package de.bsvrz.buv.rw.rw.printing;

/**
 * Definitionen von Feldern und regulren Ausdrcken fr die Druckausgabe.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker, HofmannJ (Dambach)
 * @version $Id: Defs.java 47011 2013-11-07 10:42:31Z peuker $
 */
public final class Defs {

	private Defs() {
		// privater Konstruktor fr Utility-Klasse
	}

	/** Feld [Seite]. */
	public static final String FELD_SEITE = "[Seite]";

	/** Feld [Seitenanzahl]. */
	public static final String FELD_SEITEN_ANZAHL = "[Seitenanzahl]";

	/** Feld [Datum]. */
	public static final String FELD_DATUM = "[Datum]";

	/** Feld [Uhrzeit]. */
	public static final String FELD_UHRZEIT = "[Uhrzeit]";

	/** Feld [Titel]. */
	public static final String FELD_TITEL = "[Titel]";

	/** Regulrer Ausdruck zum Suchen nach dem String [Seite]. */
	public static final String REGEX_SEITE = "\\[Seite\\]";

	/** Regulrer Ausdruck zum Suchen nach dem String [Seitenanzahl]. */
	public static final String REGEX_SEITEN_ANZAHL = "\\[Seitenanzahl\\]";

	/** Regulrer Ausdruck zum Suchen nach dem String [Datum]. */
	public static final String REGEX_DATUM = "\\[Datum\\]";

	/** Regulrer Ausdruck zum Suchen nach dem String [Uhrzeit]. */
	public static final String REGEX_UHRZEIT = "\\[Uhrzeit\\]";

	/** Regulrer Ausdruck zum Suchen nach dem String [Titel]. */
	public static final String REGEX_TITEL = "\\[Titel\\]";
}
